# Makefile for shared library

CC = gcc # C compiler
CFLAGS = -fPIC -Wall -Wextra  -g -I$(INC_DIR) # C flags
LDFLAGS = -shared  # linking flags
RM = rm -f  # rm command

SRCS = qsort.c # source files

OBJS = $(SRCS:.c=.o)

INC_DIR = ..


.PHONY: all
all: ${OBJS}
	mv *.o ../obj/

$(SRCS:.c=.d):%.d:%.c
	$(CC) $(CFLAGS) -MM $< >$@

include $(SRCS:.c=.d)

.PHONY: clean
clean:
	${RM} $(SRCS:.c=.d)
